{% set is_open_source = cookiecutter.open_source_license != 'Proprietary' -%}
{% set repo = "/".join(cookiecutter.git_origin.removesuffix(".git").split(":")[-1].split("/")[-2:]) %}
# {{ cookiecutter.project_name }}
{% if cookiecutter.configure_ci == "True" %}[![CI status badge]({{ cookiecutter.woodpecker_server }}/api/badges/{{ repo }}/status.svg)](https://ci.pains-perdus.fr/histausse/test_ci_template){% endif %}


{{ cookiecutter.project_short_description }}

## Install


### With pip

This project can be installed using pip:

```
pip install git+{{ cookiecutter.project_url }}.git
```

### With Nix

There is a `flake.nix`, so you can clone the repo and use `nix shell` if you want.

### Docker/Podman

You can build a container image using nix. To build the image, in the repo, run:

```
nix build -o {{ cookiecutter.project_slug }}.img .#docker
```

You can then load the image with:

```
podman load < {{ cookiecutter.project_slug }}.img
```

(If you want to use the image, notice it uses nix and is very minimal).

{% if is_open_source %}
## License

This project if a free software released under the {{ cookiecutter.open_source_license }}.

## Dev

This project is managed by [poetry](https://python-poetry.org/).

To open a shell in a venv of the project: 
```
git clone {{ cookiecutter.project_url }}.git
cd {{ cookiecutter.project_slug }}
poetry shell
poetry install
```

### Test

Tests are run using `pytest`:

```
poetry run pytest
```

{% endif %}

## Author

- {{ cookiecutter.full_name }}

## Security

If you discover a potential security issue in this project, please contact {{ cookiecutter.email }}.

